| OpenMS 2.5.0

ClusterMassTracesByPrecursor

Identifies precursor mass traces and tries to correlate them with fragment ion mass traces in SWATH maps.

This algorithm will try to correlate the masstraces to find co-eluting traces and cluster them.

This program looks at mass traces in a precursor MS1 map and tries to correlate them with features found in the corresponding MS2 map based on their elution profile. It uses

- the mass traces from the MS1 in consensusXML format [note this is an unintended use of the consesusXML format to also store intensities]
- the mass traces from the MS2 (SWATH map)

It does a separate correlation analysis on the MS1 and the MS2 map, both produces a set of pseudo spectra. In a second (optional) step, the MS2 pseudo spectra are correlated with the MS1 traces and the most likely precursor is assigned to the pseudo spectrum.

It is based on the following papers: ETISEQ – an algorithm for automated elution time ion sequencing of concurrently fragmented peptides for mass spectrometry-based proteomics BMC Bioinformatics 2009, 10:244 doi:10.1186/1471-2105-10-244 ; http://www.biomedcentral.com/1471-2105/10/244 they use FFT to correlate and then use lag of at least 1 scan and pearson correlation of 0.7 to assign precursors to product ions If one fragment matches to multiple precursors, it is assigned to all of them. If it doesnt match any, it is assigned to all

The command line parameters of this tool are:

    ClusterMassTracesByPrecursor -- Correlate precursor masstraces with fragment ion masstraces in SWATH maps

    based on their elution profile.

    Full documentation: http://www.openms.de/documentation/UTILS_ClusterMassTracesByPrecursor.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      ClusterMassTracesByPrecursor <options>

    Options (mandatory options marked with '*'):

      -in_ms1 <file>*                    MS1 mass traces (valid formats: 'consensusXML')

      -in_swath <file>*                  MS2 / SWATH mass traces (valid formats: 'consensusXML')

      -out <file>*                       Output file (valid formats: 'mzML')

      -assign_unassigned_to_all          Assign unassigned MS2 fragments to all precursors (only for ms1_centrif)

      -min_pearson_correlation <double>  Minimal pearson correlation score to match elution profiles to each othe

                                         r. (default: '0.7')

      -max_lag <number>                  Maximal lag (e.g. by how many spectra the peak may be shifted at most).

                                         This parameter will depend on your chromatographic setup but a number

                                         between 1 and 3 is usually sensible. (default: '1')

      -min_nr_ions <number>              Minimal number of ions to report a spectrum. (default: '3')

      -max_rt_apex_difference <double>   Maximal difference of the apex in retention time (in seconds). This is

                                         a hard parameter, all profiles further away will not be considered at

                                         all. (default: '5.0')

      -swath_lower <double>              Swath lower isolation window (default: '0.0')

      -swath_upper <double>              Swath upper isolation window (default: '0.0')

    Common UTIL options:

      -ini <file>                        Use the given TOPP INI file

      -threads <n>                       Sets the number of threads allowed to be used by the TOPP tool (default:

                                         '1')

      -write_ini <file>                  Writes the default configuration file

      --help                             Shows options

      --helphelp                         Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+ClusterMassTracesByPrecursor Correlate precursor masstraces with fragment ion masstraces in SWATH maps based on their elution profile.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'ClusterMassTracesByPrecursor'
in_ms1 MS1 mass traces input file*.consensusXML
in_swath MS2 / SWATH mass traces input file*.consensusXML
out output file output file*.mzML
assign_unassigned_to_all false Assign unassigned MS2 fragments to all precursors (only for ms1_centrif)true,false
min_pearson_correlation 0.7 Minimal pearson correlation score to match elution profiles to each other.
max_lag 1 Maximal lag (e.g. by how many spectra the peak may be shifted at most). This parameter will depend on your chromatographic setup but a number between 1 and 3 is usually sensible.
min_nr_ions 3 Minimal number of ions to report a spectrum.
max_rt_apex_difference 5.0 Maximal difference of the apex in retention time (in seconds). This is a hard parameter, all profiles further away will not be considered at all.
swath_lower 0.0 Swath lower isolation window
swath_upper 0.0 Swath upper isolation window
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false